## xfonts-cronyx 2.3.7

=== Makefile ===
# Copyright (C) 1994-95 Cronyx Ltd.
# Author: Serge Vakulenko, <vak@cronyx.ru>
# Changes Copyright (C) 1996-1999 by Andrey A. Chernov, Moscow, Russia.
# Changes Copyright (C) 1996 by Sergey Vovk - vsv
#
# This software may be used, modified, copied, distributed, and sold,
# in both source and binary form provided that the above copyright
# and these terms are retained. Under no circumstances is the author
# responsible for the proper functioning of this software, nor does
# the author assume any responsibility for damages incurred with its use.

# ATTENTION: perl, gzip, compress, bdftopcf, mkfontdir
# required to build this set

SHELL = /bin/sh

VERSION = 2.3.0

#
# Default installation directories, fix for your sistem
#
R6DIR=/usr/X11R6/lib/X11/fonts/cyrillic
R5DIR=/usr/X386/lib/X11/fonts/cyrillic
NCDDIR=/usr/lib/X11/ncd/fonts/LOCAL.new
OWNDIR=/usr/local/lib/openwin/fonts

DIRS =  75dpi 100dpi misc

# see below destinations install_pcf, install_openwin...
DESTDIR = /dev/null

#MKFONTDIR = /usr/bin/X11/mkfontdir
MKFONTDIR = mkfontdir

#BLDFAMILY = /usr/openwin/bin/bldfamily
BLDFAMILY = bldfamily

all:
	@echo Choose a platform:
	@echo make X11R6
	@echo make X11R5
	@echo make ncdfs
	@echo make openwin - for SunOS 4.1.x, Solaris 2.x

install:
	@echo Choose a platform:
	@echo make instX11R6 [USERDIR=xxx]
	@echo make instX11R5 [USERDIR=xxx]
	@echo make instncdfs [USERDIR=xxx]
	@echo make instopenwin [USERDIR=xxx] - for SunOS 4.1.x, Solaris 2.x


X11R6: allbdf mk_pcf_gz

instX11R6: X11R6
	@if [ "x$(USERDIR)" != "x" ]; then \
		echo $(USERDIR) > .destdir; \
	else \
		echo $(R6DIR) > .destdir; \
	fi
	make install_pcf DESTDIR=`cat .destdir`

X11R5: allbdf mk_pcf_Z

instX11R5: X11R5
	@if [ "x$(USERDIR)" != "x" ]; then \
		echo $(USERDIR) > .destdir; \
	else \
		echo $(R5DIR) > .destdir; \
	fi
	make install_pcf DESTDIR=`cat .destdir`

ncdfs: allbdf mk_pcf_Z

instncdfs: ncdfs
	@if [ "x$(USERDIR)" != "x" ]; then \
		echo $(USERDIR) > .destdir; \
	else \
		echo $(NCDDIR) > .destdir; \
	fi
	make install_pcf DESTDIR=`cat .destdir` \
		MKFONTDIR=ncdmkfontdir

openwin: allbdf mk_openwin

instopenwin: openwin
	@if [ "x$(USERDIR)" != "x" ]; then \
		echo $(USERDIR) > .destdir; \
	else \
		echo $(R6DIR) > .destdir; \
	fi
	make install_openwin DESTDIR=`cat .destdir`

allbdf:
	for dir in ${DIRS}; do \
		cd ./$$dir; \
		if [ -f Makefile ]; then \
		  make -f Makefile $@; \
		fi; \
		cd ..; \
	done

clean cleanall:
	rm -fr .destdir mk_pcf_* mk_openwin /tmp/test?dir/cyrillic
	for dir in ${DIRS}; do \
		cd ./$$dir; \
		if [ -f Makefile ]; then \
		  make -f Makefile $@; \
		fi; \
		cd ..; \
	done

mk_openwin:
	for dir in ${DIRS}; do \
		cd ./$$dir; ../BDF2openwin; \
		cd ..; \
	done
	touch mk_openwin

mk_pcf_Z:
	for dir in ${DIRS}; do \
		cd ./$$dir; ../BDF2pcf Z; \
		cd ..; \
	done
	touch $@

mk_pcf_gz:
	for dir in ${DIRS}; do \
		cd ./$$dir; ../BDF2pcf gz; \
		cd ..; \
	done
	touch $@

install_openwin:
	-mkdir -p $(DESTDIR)
	cp xrus.info $(DESTDIR)
	chmod 644 $(DESTDIR)/xrus.info
	@set -x; \
	for dir in ${DIRS}; do \
		if [ ! -d $(DESTDIR)/$$dir ]; then mkdir $(DESTDIR)/$$dir; fi; \
		cd ./$$dir; \
		if [ -f fonts.alias ]; then \
		    ../ALIAS2Compat \
			< fonts.alias > $(DESTDIR)/$$dir/Compat.list; \
		fi; \
		mv Synonyms.list *.f? $(DESTDIR)/$$dir; \
		$(BLDFAMILY) -d $(DESTDIR)/$$dir; \
		cd ..; \
	done
	rm -f mk_openwin .destdir

install_pcf:
	-mkdir -p $(DESTDIR)
	cp xrus.info $(DESTDIR)
	chmod 644 $(DESTDIR)/xrus.info
	@set -x; \
	for dir in ${DIRS}; do \
		if [ ! -d $(DESTDIR)/$$dir ]; then mkdir $(DESTDIR)/$$dir; fi; \
		cd ./$$dir; \
		if [ -f fonts.alias ]; then \
		    cp fonts.alias $(DESTDIR)/$$dir; \
		fi; \
		mv *.pcf.* $(DESTDIR)/$$dir; \
		$(MKFONTDIR) $(DESTDIR)/$$dir; \
		cd ..; \
	done
	rm -f mk_pcf_* .destdir

#
# make once only, don't prepare src-dist after this hack!!!
#
koi8hack:
	for dir in ${DIRS}; do \
		cd ./$$dir; ../KOI8-R2KOI8R-1 *.bdf fonts.alias; \
		make clean; \
		cd ..; \
	done
	echo XFLD hacked to koi8r-1 >koi8hack
	date >>koi8hack

src-dist: cleanall
	(cd ..; tar cf - xrus-$(VERSION)-src) | \
	gzip > ../xrus-$(VERSION)-src.tgz


/tmp/test6dir/cyrillic:
	make instX11R6 USERDIR=$@

bin6-dist: /tmp/test6dir/cyrillic
	(cd /tmp/test6dir; tar cf - cyrillic) | \
	gzip > ../x6rus-$(VERSION)-bin.tgz



/tmp/test5dir/cyrillic:
	make instX11R5 USERDIR=$@

bin5-dist:  /tmp/test5dir/cyrillic
	(cd /tmp/test5dir; tar cf - cyrillic) | \
	gzip > ../x5rus-$(VERSION)-bin.tgz

=== misc/Makefile ===
# Copyright (C) 1996 by Andrey A. Chernov, Moscow, Russia.
#
# makefile modified by Sergey Vovk
# produce all .bdf sets only
#
# This software may be used, modified, copied, distributed, and sold,
# in both source and binary form provided that the above copyright
# and these terms are retained. Under no circumstances is the author
# responsible for the proper functioning of this software, nor does
# the author assume any responsibility for damages incurred with its use.

.SUFFIXES: .bdf

FIXED   = koi10x16b.pcf.Z koi8x13.pcf.Z koi10x20.pcf.Z koi10x19.pcf.Z koi8x16.pcf.Z koi12x24.pcf.Z koi8x16b.pcf.Z koi12x24b.pcf.Z koi9x15.pcf.Z koi5x8.pcf.Z koi9x15b.pcf.Z koi6x10.pcf.Z koi9x18.pcf.Z koi6x13.pcf.Z koi9x18b.pcf.Z koi6x13b.pcf.Z koinil2.pcf.Z koi6x9.pcf.Z screen8x16.pcf.Z koi7x14.pcf.Z screen8x16b.pcf.Z koi7x14b.pcf.Z
SRCFIX  = koi10x16b.bdf koi8x13.bdf koi10x20.bdf koi10x19.bdf koi8x16.bdf koi12x24.bdf koi8x16b.bdf koi12x24b.bdf koi9x15.bdf koi5x8.bdf koi9x15b.bdf koi6x10.bdf koi9x18.bdf koi6x13.bdf koi9x18b.bdf koi6x13b.bdf koinil2.bdf koi6x9.bdf screen8x16.bdf koi7x14.bdf screen8x16b.bdf koi7x14b.bdf

allbdf: $(SRCFIX)

clean:
	rm -f *.ff *.fb *.b *.bak *.pcf *.pcf.Z *.pcf.gz Families.list fonts.dir

cleanall: clean

## xfonts-cronyx 2.3.8

=== misc/Makefile ===
# Copyright (C) 1996 by Andrey A. Chernov, Moscow, Russia.
#
# makefile modified by Sergey Vovk
# produce all .bdf sets only
#
# This software may be used, modified, copied, distributed, and sold,
# in both source and binary form provided that the above copyright
# and these terms are retained. Under no circumstances is the author
# responsible for the proper functioning of this software, nor does
# the author assume any responsibility for damages incurred with its use.

.SUFFIXES: .bdf

FIXED   = koi10x16b.pcf.Z koi8x13.pcf.Z koi10x20.pcf.Z koi10x19.pcf.Z koi8x16.pcf.Z koi12x24.pcf.Z koi8x16b.pcf.Z koi12x24b.pcf.Z koi9x15.pcf.Z koi5x8.pcf.Z koi9x15b.pcf.Z koi6x10.pcf.Z koi9x18.pcf.Z koi6x13.pcf.Z koi9x18b.pcf.Z koi6x13b.pcf.Z koinil2.pcf.Z koi6x9.pcf.Z screen8x16.pcf.Z koi7x14.pcf.Z screen8x16b.pcf.Z koi7x14b.pcf.Z screen11x18.pcf.Z
SRCFIX  = koi10x16b.bdf koi8x13.bdf koi10x20.bdf koi10x19.bdf koi8x16.bdf koi12x24.bdf koi8x16b.bdf koi12x24b.bdf koi9x15.bdf koi5x8.bdf koi9x15b.bdf koi6x10.bdf koi9x18.bdf koi6x13.bdf koi9x18b.bdf koi6x13b.bdf koinil2.bdf koi6x9.bdf screen8x16.bdf koi7x14.bdf screen8x16b.bdf koi7x14b.bdf screen11x18.bdf

allbdf: $(SRCFIX)

clean:
	rm -f *.ff *.fb *.b *.bak *.pcf *.pcf.Z *.pcf.gz Families.list fonts.dir

cleanall: clean

=== debian/changelog ===
xfonts-cronyx (2.3.8-9) unstable; urgency=medium

  * QA upload.
  * Orphan the package and set the maintainer to Debian QA Group.
  * debian/control:
    + Remove duplicated Section and Priority fields.
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Add Vcs-* fields and use git repo under Salsa Debian Group.
    + Use "fonts" in the Section field.
    + Mark all font packages as Multi-Arch: foreign. (lintian)
  * debian/source/format: Use "3.0 (quilt)" format.
  * debian/changelog: Remove unnecessary leading tabs.
  * debian/patches: Use patch to manage debian-specific changes.
  * debian/copyright: Be more explicit on GPL version (GPL-2).
  * debian/postinst: Use "set -e" instead of "/bin/sh -e". (lintian)

 -- Boyuan Yang <byang@debian.org>  Sun, 27 Jan 2019 11:06:00 -0500

xfonts-cronyx (2.3.8-8) unstable; urgency=medium

  * Use debhelper compat level 9.  Thanks to Lucas Nussbaum,
    closes: #830390.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 31 Jul 2016 21:02:44 +0300

xfonts-cronyx (2.3.8-7) unstable; urgency=medium

  * Make the build reproducible.  Thanks to Chris Lamb, closes: #778230.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 31 Jul 2016 18:30:23 +0300

xfonts-cronyx (2.3.8-6) unstable; urgency=low

  * Depend on xfonts-utils instead of xutils.  Thanks to Guido Guenther,
    closes: #363268.
  * Remove the hack to work around #362820.  Build-depend on debhelper (>=
    5.0.32)

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 19 Apr 2006 11:45:00 +0300

xfonts-cronyx (2.3.8-5) unstable; urgency=low

  * Updated for the new modular X.  Closes: #362357, #362358, #362359, #362361, #362362, #362364, #362365, #362366, #362368, #362369, #362370, #362372, #362373, #362374, #362375
  * Updated standards version (3.6.6.2).

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 15 Apr 2006 23:15:09 +0300

xfonts-cronyx (2.3.8-4) unstable; urgency=low

  * Reencoded using trbdf version 1.11.  The pseudographic symbols are
    approximated by termsymbols with codes <=0x1f when appropriate.
    Thanks to Victor B. Wagner.
  * Updated `Standards-Version': 3.5.10.
  * The files in /etc/X11/fonts are not executables any more. ;-)

 -- Anton Zinoviev <zinoviev@debian.org>  Sat,  7 Jun 2003 22:40:36 +0200

xfonts-cronyx (2.3.8-3) unstable; urgency=low

  * The upstream sent me new version of koi7x14.bdf and crox1c.bdf.  Thus
    you can consider this Debian release as a new upstream version.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 15 Apr 2003 23:12:39 +0300

xfonts-cronyx (2.3.8-2) unstable; urgency=low

  * The new version of trbdf always sets DEFAULT_CHAR 32.  In the
    original `misc' fonts there was DEFAULT_CHAR 0 which doesn't exists
    (Thanks to Alexandra N. Kossovsky, closes: #170413).
  * Used -cronyx- foundry instead of -misc- in fonts.alias (thanks to
    Alexander Kotelnikov for pointing me the bug).
  * $(call foreachenc,...) and $(call foreachcat,...) eliminated from
    debian/rules.  This is workaround #175714.  Thanks to Daniel Schepler.
  * Used unicode_small in trbdf to make the unicode fonts use smaller
    memory space.
  * Used `Build-Depends' instead of `Build-Depends-Indep'.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 14 Jan 2003 11:10:54 +0200

xfonts-cronyx (2.3.8-1) unstable; urgency=low

  * New upstream version.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed,  7 Aug 2002 11:52:57 +0300

xfonts-cronyx (2.3.7-9) unstable; urgency=low

  * Build-Depends-Indep: trscrips (>= 1.5).  This makes pseudographic
    characters available in all fixed-width fonts.
  * Added option -m to install in rules file.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 28 Jan 2002 23:00:13 +0200

xfonts-cronyx (2.3.7-8) unstable; urgency=low

  * New binary package xfonts-cronyx with fonts for Unicode.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 17 Jun 2001 14:52:08 +0300

xfonts-cronyx (2.3.7-7) unstable; urgency=low

  * Double exclamation signs in *.alias file.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 17 Apr 2001 13:37:24 +0300

xfonts-cronyx (2.3.7-6) unstable; urgency=low

  * A complete remake and Debconf in use.
  * The packages xfonts-cronyx-${ENC} are splitted in three packages:
    xfonts-cronyx-${ENC}-misc, xfonts-cronyx-${ENC}-100dpi and
    xfonts-cronyx-${ENC}-75dpi.  This is a requirement of the latest
    Debian policy.
  * Standards-Version: 3.5.2.0
  * Few fonts again changed their foundry field.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 29 Mar 2001 19:00:31 +0200

xfonts-cronyx (2.3.7-5) unstable; urgency=medium

  * The foundry field `misc' in all fonts is replaced with `cronyx' --
    this is needed to avoid collision with fonts from `xfonts-base'
    package.  Sorry.
  * The font `-Misc-Fixed-Medium-R-Normal--20-200-75-75-C-100-KOI8-C' is
    renamed: `-Misc-Fixed-Medium-R-Normal--19-190-75-75-C-100-KOI8-C'.
  * The packages install directories in /etc/X11/fonts/ even in case of
    missing fonts.alias.
  * Fixed a GRAVE bug in `postrm' -- the previous version was
    uninstallable.

 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 30 Dec 2000 21:11:03 +0200

xfonts-cronyx (2.3.7-4) unstable; urgency=low

  * The fonts for KOI8-R was installed in the directories
    koi8-r.{misc,100dpi,75dpi}, not in KOI8-R.{...}.  This was a bug in
    the changelog file.
  * The file README.Debian is removed from the source package.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 19 Nov 2000 16:00:31 +0200

xfonts-cronyx (2.3.7-3) unstable; urgency=low

  * The fonts for KOI8-R are installed in their own directories
    KOI8-R.misc, KOI8-R.75dpi and KOI8-R.100dpi.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 16 Nov 2000 12:16:41 +0200

xfonts-cronyx (2.3.7-2) unstable; urgency=low

  * The fonts are installed in the standard directories
    /usr/X11R6/lib/X11/fonts/{misc,75dpi,100dpi}.
  * New fonts.alias is used.  (There was colision in the names with other
    fonts.aliases.


=== debian/control ===
Source: xfonts-cronyx
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: fonts
Priority: optional
Standards-Version: 4.3.0
Build-Depends:
 debhelper-compat (= 12),
 trscripts (>= 1.13),
 xfonts-utils,
Vcs-Git: https://salsa.debian.org/debian/xfonts-cronyx.git
Vcs-Browser: https://salsa.debian.org/debian/xfonts-cronyx

Package: xfonts-cronyx-100dpi
Architecture: all
Multi-Arch: foreign
Description: 100 dpi Unicode Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 100 dots
 per inch.  These are Unicode (ISO10646-1) fonts and support all
 current slavic Cyrillic letters as well as some Russian
 prerevolutionary letters.  In most cases it is desirable to have the
 X font server (xfs) and/or an X server installed to make the fonts
 available to X clients.
 .
 This package and xfonts-cronyx-75dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-100dpi may be
 more suitable for large monitors and/or large screen resolutions
 (over 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-nop
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-nop

Package: xfonts-cronyx-cp1251-100dpi
Architecture: all
Multi-Arch: foreign
Description: 100 dpi CP1251 encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 100 dots
 per inch.  These are CP1251 (microsoft-cp1251) fonts
 and support all current slavic Cyrillic scripts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-cp1251-75dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-cp1251-100dpi may be
 more suitable for large monitors and/or large screen resolutions
 (over 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-cp1251
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-cp1251

Package: xfonts-cronyx-isocyr-100dpi
Architecture: all
Multi-Arch: foreign
Description: 100 dpi ISO 8859-5 encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 100 dots
 per inch.  These are ISO 8859-5 fonts and support the Belarusian,
 Bulgarian, Macedonian, Russian and Serbian scripts.  In most cases it
 is desirable to have the X font server (xfs) and/or an X server
 installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-isocyr-75dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-isocyr-100dpi may be
 more suitable for large monitors and/or large screen resolutions
 (over 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-iso
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-iso

Package: xfonts-cronyx-koi8r-100dpi
Architecture: all
Multi-Arch: foreign
Description: 100 dpi KOI8-R encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 100 dots
 per inch.  These are KOI8-R fonts
 and are suitable for Russian.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-koi8r-75dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-koi8r-100dpi may be
 more suitable for large monitors and/or large screen resolutions
 (over 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-koi8r
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-koi8r

Package: xfonts-cronyx-koi8u-100dpi
Architecture: all
Multi-Arch: foreign
Description: 100 dpi KOI8-U encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 100 dots
 per inch.  These are KOI8-U fonts
 and are suitable for Ukrainian.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-koi8u-75dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-koi8u-100dpi may be
 more suitable for large monitors and/or large screen resolutions
 (over 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-koi8u
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-koi8u

Package: xfonts-cronyx-75dpi
Architecture: all
Multi-Arch: foreign
Description: 75 dpi Unicode Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are Unicode (ISO10646-1) fonts and support all
 current slavic Cyrillic letters as well as some Russian
 prerevolutionary letters.  In most cases it is desirable to have the
 X font server (xfs) and/or an X server installed to make the fonts
 available to X clients.
 .
 This package and xfonts-cronyx-100dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-75dpi may be
 more suitable for small monitors and/or small screen resolutions
 (under 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-nop
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-nop

Package: xfonts-cronyx-cp1251-75dpi
Architecture: all
Multi-Arch: foreign
Description: 75 dpi CP1251 encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are CP1251 (microsoft-cp1251) fonts
 and support all current slavic Cyrillic scripts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-cp1251-100dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-cp1251-75dpi may be
 more suitable for small monitors and/or small screen resolutions
 (under 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-cp1251
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-cp1251

Package: xfonts-cronyx-isocyr-75dpi
Architecture: all
Multi-Arch: foreign
Description: 75 dpi ISO 8859-5 encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are ISO 8859-5 fonts and support the Belarusian,
 Bulgarian, Macedonian, Russian and Serbian scripts.  In most cases it
 is desirable to have the X font server (xfs) and/or an X server
 installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-isocyr-100dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-isocyr-75dpi may be
 more suitable for small monitors and/or small screen resolutions
 (under 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-iso
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-iso

Package: xfonts-cronyx-koi8r-75dpi
Architecture: all
Multi-Arch: foreign
Description: 75 dpi KOI8-R encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are KOI8-R fonts
 and are suitable for Russian.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-koi8r-100dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-koi8r-75dpi may be
 more suitable for small monitors and/or small screen resolutions
 (under 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-koi8r
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-koi8r

Package: xfonts-cronyx-koi8u-75dpi
Architecture: all
Multi-Arch: foreign
Description: 75 dpi KOI8-U encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are KOI8-U fonts
 and are suitable for Ukrainian.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 This package and xfonts-cronyx-koi8u-100dpi provide the same set of
 fonts, rendered at different resolutions; only one or the other is
 necessary, but both may be installed.  xfonts-cronyx-koi8u-75dpi may be
 more suitable for small monitors and/or small screen resolutions
 (under 1024x768).
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-koi8u
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-koi8u

Package: xfonts-cronyx-misc
Architecture: all
Multi-Arch: foreign
Description: Character-cell Unicode Cyrillic fonts for X (Cronyx collection)
 This package provides a standard set of character-cell low-resolution
 Cyrillic fonts.  These are Unicode (ISO10646-1) fonts and support all
 current slavic Cyrillic letters as well as some Russian
 prerevolutionary letters.  In most cases it is desirable to have the
 X font server (xfs) and/or an X server installed to make the fonts
 available to X clients.
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-nop
Depends: xfonts-utils, ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-cronyx-nop

Package: xfonts-cronyx-cp1251-misc
Architecture: all
Multi-Arch: foreign
Description: Character-cell CP1251 encoded Cyrillic fonts for X (Cronyx collection)
 This package provides a standard set of character-cell low-resolution
 Cyrillic fonts.  These are CP1251 (microsoft-cp1251) fonts
 and support all current slavic Cyrillic scripts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The upstream source of this package is the package Xcyr of Serge
 Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
 Chernov.
Replaces: xfonts-cronyx-cp1251
Depends: xfonts-utils, ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (C) 2000,2001,2003 Anton Zinoviev <zinoviev@debian.org>

# This software may be used, modified, copied, distributed, and sold,
# in both source and binary form provided that the copyright
# and these terms are retained. Under no circumstances is the author
# responsible for the proper functioning of this software, nor does
# the author assume any responsibility for damages incurred with its use.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL = /bin/bash

PACKAGE_NAME = xfonts-cronyx
FOUNDRIES = cronyx screen sony winitzki
cronyx_FONTS = 100dpi/*.bdf 75dpi/*.bdf misc/koi*.bdf
screen_FONTS = misc/screen*.bdf
sony_FONTS = misc/sony*.bdf
winitzki_FONTS = misc/proof*.bdf
CATEGORIES = 100dpi 75dpi misc
# There must be no fonts in one category with same names
100dpi_FONTS = 100dpi/*.bdf
75dpi_FONTS = 75dpi/*.bdf
misc_FONTS = misc/*.bdf
SOURCE_ENCODING = koi8-c
ENCODINGS = unicode cp1251 isocyr koi8r koi8u
SHORT_ENCODINGS = c w i r u
STANDARD_ENCODINGS = unicode_small cp1251 iso-8859-5 koi8-r koi8-u
XNAME_ENCODINGS = iso10646-1 microsoft-cp1251 iso8859-5 koi8-r koi8-u
DOCUMENTATION_FILES = xcyr.README.en xcyr.README.ru xrus.README
UPSTREAM_CHANGELOG = Changelog.en

# This target must build the BDF fonts.
build_source :
	$(MAKE) -f debian/Makefile allbdf
	touch build_source

# This target must clean the source package
.PHONY : clean_source
clean_source :
	-rm build_source
	-$(MAKE) -f debian/Makefile clean

##############################################################
# Nothing needs to be changed below that line
##############################################################

pkg_and_short = $(join $(ENCODINGS), $(addprefix /, $(SHORT_ENCODINGS)))
pkg_and_std = $(join $(ENCODINGS), $(addprefix /, $(STANDARD_ENCODINGS)))
pkg_and_xname = $(join $(ENCODINGS), $(addprefix /, $(XNAME_ENCODINGS)))
pkg2short = $(notdir $(filter $(1)/%, $(pkg_and_short)))
pkg2std = $(notdir $(filter $(1)/%, $(pkg_and_std)))
pkg2xname = $(notdir $(filter $(1)/%, $(pkg_and_xname)))
# The variable encoding is target-specific
encoding_short = $(call pkg2short,$(encoding))
encoding_std = $(call pkg2std,$(encoding))
encoding_xname = $(call pkg2xname,$(encoding))

wrkfontdirs = $(foreach cat, $(CATEGORIES), $(addsuffix -$(cat),$(ENCODINGS)))
$(wrkfontdirs) :
	mkdir $@

convertors = $(foreach enc, $(ENCODINGS), \
			$(addsuffix -$(enc)-conv,$(FOUNDRIES)))
$(convertors) : foundry_enc = $(subst -,/,$(@:-conv=))
$(convertors) : foundry = $(subst /,,$(dir $(foundry_enc)))
$(convertors) : encoding = $(notdir $(foundry_enc))
$(convertors) :
	trbdf --foundry=$(foundry) -f $(SOURCE_ENCODING) \
		-t $(encoding_std) -s >$@

category_names = $(basename $(notdir $(wildcard $($(1)_FONTS))))
base_cat2origin = $(filter %/$(1).bdf, $(wildcard $($(2)_FONTS)))

# (category)/(base font name)
cat_and_font = $(foreach cat, $(CATEGORIES), \
			$(addprefix $(cat)/, $(call category_names,$(cat))))
# (encoding)-(category)/(base font name)_(short encoding name)
my_fonts = $(foreach enc, $(ENCODINGS), $(addprefix $(enc)-, \
		$(addsuffix _$(call pkg2short,$(enc)), $(cat_and_font))))
my_bdf_fonts = $(addsuffix .bdf, $(my_fonts))
my_pcf_fonts = $(addsuffix .pcf, $(my_fonts))
my_pcfgz_fonts = $(addsuffix .pcf.gz, $(my_fonts))

$(my_bdf_fonts) : enc_cat = $(subst /,,$(dir $@))
$(my_bdf_fonts) : encoding = $(subst /,,$(dir $(subst -,/,$(enc_cat))))
$(my_bdf_fonts) : category = $(notdir $(subst -,/,$(enc_cat)))
$(my_bdf_fonts) : basename = $(patsubst %_$(encoding_short).bdf,%,$(notdir $@))
$(my_bdf_fonts) : origin = $(call base_cat2origin,$(basename),$(category))
$(my_bdf_fonts) : font_foundry = $(addsuffix /$(1), $(wildcard $($(1)_FONTS)))
$(my_bdf_fonts) : all_font_foundry = $(foreach found, $(FOUNDRIES), \
					$(call font_foundry,$(found)))
$(my_bdf_fonts) : my_font_foundry = $(filter $(origin)/%, $(all_font_foundry))
$(my_bdf_fonts) : foundry = $(patsubst $(origin)/%,%,$(my_font_foundry))
# Unfortunately % is not expanded when the functions are computed,
# we can not use dinamic prerequisites and here we depend on all:
$(my_bdf_fonts) : build_source $(convertors)
	awk -f $(foundry)-$(encoding)-conv <$(origin) >$@

$(my_pcf_fonts) : %.pcf : %.bdf
	bdftopcf $(@:.pcf=.bdf) >$@

$(my_pcfgz_fonts) : %.pcf.gz : %.pcf
	gzip -9n <$(@:.pcf.gz=.pcf) >$@

all_fonts : $(my_pcfgz_fonts)

cat_alias = $(addsuffix .alias, $(CATEGORIES))
source_aliases = $(wildcard $(addprefix debian/, $(cat_alias)))
package_aliases = $(foreach enc, $(ENCODINGS), \
		$(addprefix debian/$(enc)-, $(notdir $(source_aliases))))

$(package_aliases) : enc_cat = $(basename $(notdir $@))
$(package_aliases) : encoding = $(subst /,,$(dir $(subst -,/,$(enc_cat))))
$(package_aliases) : category = $(notdir $(subst -,/,$(enc_cat)))
# Again, here we cannot generate dinamically prerequisites:
$(package_aliases) : $(source_aliases)
	sed -e "s/-WEND-ENCODING/-$(encoding_xname)/g" -e \
		"s/PREFIX/$(encoding_short)/g" debian/$(category).alias >$@

all_aliases : $(package_aliases)

.PHONY : my_build
my_build : build_source $(wrkfontdirs)
	$(MAKE) -f debian/rules all_fonts
	$(MAKE) -f debian/rules all_aliases

.PHONY : my_clean
my_clean : clean_source
	-rm -rf $(wrkfontdirs)
	-rm -f $(convertors)
	-rm -f $(package_aliases)
	-rm -f my_clean

packages = $(addprefix $(PACKAGE_NAME)-, $(wrkfontdirs))

$(packages) : enc_cat = $(patsubst $(PACKAGE_NAME)-%, %, $@)
$(packages) : encoding = $(subst /,,$(dir $(subst -,/,$(enc_cat))))
$(packages) : category = $(notdir $(subst -,/,$(enc_cat)))
$(packages) : alias_file = debian/$(encoding)-$(category).alias
$(packages) : pack_enc = $(addprefix $(PACKAGE_NAME)-, $(encoding))
$(packages) : deb_name = $(addprefix $(pack_enc:-unicode=)-, $(category))
.PHONY : $(packages)
$(packages) :
	[ ! -f $(alias_file) ] || install -m644 -D $(alias_file) \
		debian/$(deb_name)/etc/X11/fonts/$(category)/$(deb_name).alias
	install -d debian/$(deb_name)/usr/share/fonts/X11/$(category)/
	cp $(encoding)-$(category)/*.pcf.gz \
		debian/$(deb_name)/usr/share/fonts/X11/$(category)/

.PHONY : my_install
my_install : $(packages)

build build-arch build-indep : my_build
	dh_testdir
	touch build

.PHONY : clean
clean:
	dh_testdir
	-rm -f build
	-$(MAKE) -f debian/rules my_clean
	dh_clean

.PHONY : install
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -f debian/rules my_install

# Build architecture-independent files here.
.PHONY : binary-indep
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
#	dh_installdebconf
	dh_installdocs -A $(DOCUMENTATION_FILES)
#	dh_installexamples
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs $(UPSTREAM_CHANGELOG)
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
.PHONY : binary-arch
binary-arch : build install
# We have nothing to do by default.

.PHONY : binary
binary : binary-indep binary-arch

## xfonts-cronyx 2.3.8+dfsg

=== 75dpi/Makefile ===
# Copyright (C) 1996 by Andrey A. Chernov, Moscow, Russia.
#
# makefile modified by Sergey Vovk
# produce all .bdf sets only
#
# This software may be used, modified, copied, distributed, and sold,
# in both source and binary form provided that the above copyright
# and these terms are retained. Under no circumstances is the author
# responsible for the proper functioning of this software, nor does
# the author assume any responsibility for damages incurred with its use.

.SUFFIXES: .bdf

SRCRC   = crox1c.bdf crox2c.bdf crox3c.bdf
SRCRH   = crox1h.bdf crox2h.bdf crox3h.bdf crox4h.bdf crox5h.bdf crox6h.bdf
SRCRT   = crox1t.bdf crox2t.bdf crox3t.bdf crox4t.bdf crox5t.bdf crox6t.bdf

SRCR    = $(SRCRC) $(SRCRH) $(SRCRT)

SRCBC   = crox1cb.bdf crox2cb.bdf crox3cb.bdf
SRCBH   = crox1hb.bdf crox2hb.bdf crox3hb.bdf crox4hb.bdf crox5hb.bdf\
	  crox6hb.bdf
SRCBT   = crox1tb.bdf crox2tb.bdf crox3tb.bdf crox4tb.bdf crox5tb.bdf\
	  crox6tb.bdf

SRCB    = $(SRCBC) $(SRCBH) $(SRCBT)

SRCSLC  = crox1co.bdf crox2co.bdf crox3co.bdf
SRCSLH  = crox1ho.bdf crox2ho.bdf crox3ho.bdf crox4ho.bdf crox5ho.bdf\
	  crox6ho.bdf
SRCSLT  = crox1to.bdf crox2to.bdf crox3to.bdf crox4to.bdf crox5to.bdf\
	  crox6to.bdf

SRCSL   = $(SRCSLC) $(SRCSLH) $(SRCSLT)

SRCBSLC = crox1cbo.bdf crox2cbo.bdf crox3cbo.bdf
SRCBSLH = crox1hbo.bdf crox2hbo.bdf crox3hbo.bdf crox4hbo.bdf crox5hbo.bdf\
	  crox6hbo.bdf
SRCBSLT = crox1tbo.bdf crox2tbo.bdf crox3tbo.bdf crox4tbo.bdf crox5tbo.bdf\
	  crox6tbo.bdf

SRCBSL  = $(SRCBSLC) $(SRCBSLH) $(SRCBSLT)

SRCC    = $(SRCRC) $(SRCSLC) $(SRCBC) $(SRCBSLC)
SRCH    = $(SRCRH) $(SRCSLH) $(SRCBH) $(SRCBSLH)
SRCT    = $(SRCRT) $(SRCSLT) $(SRCBT) $(SRCBSLT)
SRC     = $(SRCC) $(SRCH) $(SRCT)

allbdf: $(SRC)

courier: $(SRCC)

helvetica: $(SRCH)

times: $(SRCT)

bold:   $(SRCB)

slant:  $(SRCSL)

bslant:  $(SRCBSL)

clean:
	rm -f *.ff *.fb *.b *.bak *.pcf *.pcf.Z *.pcf.gz Families.list fonts.dir

cleanall: clean
	rm -f $(SRCSL) $(SRCB) $(SRCBSL)

crox1co.bdf: crox1c.bdf
	perl ../bdfslant.pl > crox1co.bdf < crox1c.bdf

crox2co.bdf: crox2c.bdf
	perl ../bdfslant.pl > crox2co.bdf < crox2c.bdf

crox3co.bdf: crox3c.bdf
	perl ../bdfslant.pl > crox3co.bdf < crox3c.bdf

crox1ho.bdf: crox1h.bdf
	perl ../bdfslant.pl > crox1ho.bdf < crox1h.bdf

crox2ho.bdf: crox2h.bdf
	perl ../bdfslant.pl > crox2ho.bdf < crox2h.bdf

crox3ho.bdf: crox3h.bdf
	perl ../bdfslant.pl > crox3ho.bdf < crox3h.bdf

crox4ho.bdf: crox4h.bdf
	perl ../bdfslant.pl > crox4ho.bdf < crox4h.bdf

crox5ho.bdf: crox5h.bdf
	perl ../bdfslant.pl > crox5ho.bdf < crox5h.bdf

crox6ho.bdf: crox6h.bdf
	perl ../bdfslant.pl > crox6ho.bdf < crox6h.bdf

crox1to.bdf: crox1t.bdf
	perl ../bdfslant.pl > crox1to.bdf < crox1t.bdf

crox2to.bdf: crox2t.bdf
	perl ../bdfslant.pl > crox2to.bdf < crox2t.bdf

crox3to.bdf: crox3t.bdf
	perl ../bdfslant.pl > crox3to.bdf < crox3t.bdf

crox4to.bdf: crox4t.bdf
	perl ../bdfslant.pl > crox4to.bdf < crox4t.bdf

crox5to.bdf: crox5t.bdf
	perl ../bdfslant.pl > crox5to.bdf < crox5t.bdf

crox6to.bdf: crox6t.bdf
	perl ../bdfslant.pl > crox6to.bdf < crox6t.bdf

crox1cb.bdf: crox1c.bdf
	perl ../bdfbold.pl > crox1cb.bdf < crox1c.bdf

crox2cb.bdf: crox2c.bdf
	perl ../bdfbold.pl > crox2cb.bdf < crox2c.bdf

crox3cb.bdf: crox3c.bdf
	perl ../bdfbold.pl > crox3cb.bdf < crox3c.bdf

crox1hb.bdf: crox1h.bdf
	perl ../bdfbold.pl > crox1hb.bdf < crox1h.bdf

crox2hb.bdf: crox2h.bdf
	perl ../bdfbold.pl > crox2hb.bdf < crox2h.bdf

crox3hb.bdf: crox3h.bdf
	perl ../bdfbold.pl > crox3hb.bdf < crox3h.bdf

crox4hb.bdf: crox4h.bdf
	perl ../bdfbold.pl > crox4hb.bdf < crox4h.bdf

crox5hb.bdf: crox5h.bdf
	perl ../bdfbold.pl > crox5hb.bdf < crox5h.bdf

crox6hb.bdf: crox6h.bdf
	perl ../bdfbold.pl > crox6hb.bdf < crox6h.bdf

crox1tb.bdf: crox1t.bdf
	perl ../bdfbold.pl > crox1tb.bdf < crox1t.bdf

crox2tb.bdf: crox2t.bdf
	perl ../bdfbold.pl > crox2tb.bdf < crox2t.bdf

crox3tb.bdf: crox3t.bdf
	perl ../bdfbold.pl > crox3tb.bdf < crox3t.bdf

crox4tb.bdf: crox4t.bdf
	perl ../bdfbold.pl > crox4tb.bdf < crox4t.bdf

crox5tb.bdf: crox5t.bdf
	perl ../bdfbold.pl > crox5tb.bdf < crox5t.bdf

crox6tb.bdf: crox6t.bdf
	perl ../bdfbold.pl > crox6tb.bdf < crox6t.bdf

crox1cbo.bdf: crox1cb.bdf
	perl ../bdfslant.pl > crox1cbo.bdf < crox1cb.bdf

crox2cbo.bdf: crox2cb.bdf
	perl ../bdfslant.pl > crox2cbo.bdf < crox2cb.bdf

crox3cbo.bdf: crox3cb.bdf
	perl ../bdfslant.pl > crox3cbo.bdf < crox3cb.bdf

crox1hbo.bdf: crox1hb.bdf
	perl ../bdfslant.pl > crox1hbo.bdf < crox1hb.bdf

crox2hbo.bdf: crox2hb.bdf
	perl ../bdfslant.pl > crox2hbo.bdf < crox2hb.bdf

crox3hbo.bdf: crox3hb.bdf
	perl ../bdfslant.pl > crox3hbo.bdf < crox3hb.bdf

crox4hbo.bdf: crox4hb.bdf
	perl ../bdfslant.pl > crox4hbo.bdf < crox4hb.bdf

crox5hbo.bdf: crox5hb.bdf
	perl ../bdfslant.pl > crox5hbo.bdf < crox5hb.bdf

crox6hbo.bdf: crox6hb.bdf
	perl ../bdfslant.pl > crox6hbo.bdf < crox6hb.bdf

crox1tbo.bdf: crox1tb.bdf
	perl ../bdfslant.pl > crox1tbo.bdf < crox1tb.bdf

crox2tbo.bdf: crox2tb.bdf
	perl ../bdfslant.pl > crox2tbo.bdf < crox2tb.bdf

crox3tbo.bdf: crox3tb.bdf
	perl ../bdfslant.pl > crox3tbo.bdf < crox3tb.bdf

crox4tbo.bdf: crox4tb.bdf
	perl ../bdfslant.pl > crox4tbo.bdf < crox4tb.bdf

crox5tbo.bdf: crox5tb.bdf
	perl ../bdfslant.pl > crox5tbo.bdf < crox5tb.bdf

crox6tbo.bdf: crox6tb.bdf
	perl ../bdfslant.pl > crox6tbo.bdf < crox6tb.bdf

=== debian/changelog ===
xfonts-cronyx (2.3.8+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 2.3.8+dfsg. (Closes: #1016557)
  * debian/copyright:
      - Added Files-Excluded field to list tryfont/ISO8859-5.
      - Improved the Comment field.
  * debian/rules: removed leading "-" from two $(MAKE) commands to avoid to
    ignore errors. Using "[ ! -f Makefile ] ||" instead of "-".
  * debian/watch: added '+dfsg' to dversionmangle.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 15 Aug 2022 20:29:08 -0300

xfonts-cronyx (2.3.8-12) unstable; urgency=medium

  * QA upload.
  * Ran wrap-and-sort.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.6.1.
      - Migrated DH level to 13.
  * debian/copyright: migrated to 1.0 format.
  * debian/patches/debian-patches.patch:
      - Renamed to 010_debian-patches.patch.
      - Improved the header.
      - Refreshed.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/watch: added a fake site to explain about the current status of the
    original upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 02 Aug 2022 17:08:44 -0300

xfonts-cronyx (2.3.8-11) unstable; urgency=medium

  * QA upload.
  * Source-only upload.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Sep 2021 16:34:09 -0300

xfonts-cronyx (2.3.8-10) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update standards version, no changes needed.
  * Fix day-of-week for changelog entries 2.3.8-3, 2.3.8-2.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 24 Aug 2021 20:33:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: fonts
 Priority: optional
-Standards-Version: 4.3.0
-Build-Depends:
- debhelper-compat (= 12),
- trscripts (>= 1.13),
- xfonts-utils,
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), trscripts (>= 1.13), xfonts-utils
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/xfonts-cronyx.git
 Vcs-Browser: https://salsa.debian.org/debian/xfonts-cronyx
 
@@ -16,7 +14,7 @@
 Description: 100 dpi Unicode Cyrillic fonts for X (Cronyx collection)
  This package provides a set of bitmapped Cyrillic fonts at 100 dots
  per inch.  These are Unicode (ISO10646-1) fonts and support all
- current slavic Cyrillic letters as well as some Russian
+ current Slavic Cyrillic letters as well as some Russian
  prerevolutionary letters.  In most cases it is desirable to have the
  X font server (xfs) and/or an X server installed to make the fonts
  available to X clients.
@@ -41,7 +39,7 @@
 Description: 100 dpi CP1251 encoded Cyrillic fonts for X (Cronyx collection)
  This package provides a set of bitmapped Cyrillic fonts at 100 dots
  per inch.  These are CP1251 (microsoft-cp1251) fonts
- and support all current slavic Cyrillic scripts.
+ and support all current Slavic Cyrillic scripts.
  In most cases it is desirable to have the X font server (xfs) and/or
  an X server installed to make the fonts available to X clients.
  .
@@ -137,7 +135,7 @@
 Description: 75 dpi Unicode Cyrillic fonts for X (Cronyx collection)
  This package provides a set of bitmapped Cyrillic fonts at 75 dots
  per inch.  These are Unicode (ISO10646-1) fonts and support all
- current slavic Cyrillic letters as well as some Russian
+ current Slavic Cyrillic letters as well as some Russian
  prerevolutionary letters.  In most cases it is desirable to have the
  X font server (xfs) and/or an X server installed to make the fonts
  available to X clients.
@@ -162,7 +160,7 @@
 Description: 75 dpi CP1251 encoded Cyrillic fonts for X (Cronyx collection)
  This package provides a set of bitmapped Cyrillic fonts at 75 dots
  per inch.  These are CP1251 (microsoft-cp1251) fonts
- and support all current slavic Cyrillic scripts.
+ and support all current Slavic Cyrillic scripts.
  In most cases it is desirable to have the X font server (xfs) and/or
  an X server installed to make the fonts available to X clients.
  .
@@ -258,7 +256,7 @@
 Description: Character-cell Unicode Cyrillic fonts for X (Cronyx collection)
  This package provides a standard set of character-cell low-resolution
  Cyrillic fonts.  These are Unicode (ISO10646-1) fonts and support all
- current slavic Cyrillic letters as well as some Russian
+ current Slavic Cyrillic letters as well as some Russian
  prerevolutionary letters.  In most cases it is desirable to have the
  X font server (xfs) and/or an X server installed to make the fonts
  available to X clients.
@@ -277,7 +275,7 @@
 Description: Character-cell CP1251 encoded Cyrillic fonts for X (Cronyx collection)
  This package provides a standard set of character-cell low-resolution
  Cyrillic fonts.  These are CP1251 (microsoft-cp1251) fonts
- and support all current slavic Cyrillic scripts.
+ and support all current Slavic Cyrillic scripts.
  In most cases it is desirable to have the X font server (xfs) and/or
  an X server installed to make the fonts available to X clients.
  .
@@ -285,4 +283,3 @@
  Winitzki.  Xcyr is a descendant of the package Xrus-2.3 of Andrey
  Chernov.
 Replaces: xfonts-cronyx-cp1251
-Depends: xfonts-utils, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 .PHONY : clean_source
 clean_source :
 	-rm build_source
-	-$(MAKE) -f debian/Makefile clean
+	[ ! -f debian/Makefile ] || $(MAKE) -f debian/Makefile clean
 
 ##############################################################
 # Nothing needs to be changed below that line
@@ -161,7 +161,7 @@
 clean:
 	dh_testdir
 	-rm -f build
-	-$(MAKE) -f debian/rules my_clean
+	[ ! -f debian/rules ] || $(MAKE) -f debian/rules my_clean
 	dh_clean
 
 .PHONY : install

=== debian/watch ===
version=4
opts=dversionmangle=s/(.*|\+dfsg)/0.No-Site/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
